"""Nuke menu.py which adds all commands to nuke' ui."""

# Import third-party modules
import nuke

# Import local modules
from default import main
from default import helper
from default import about

# Create menu structure
default_menu = nuke.menu("Nuke").addMenu("Scripts/default")
default_menu.addCommand("defaults window", main.show_defaults_window)
default_menu.addSeparator()
default_menu.addCommand("about", about.show_about, icon="")

# Add commands to animation menu.
nuke.menu("Animation").addCommand("default/set as new knobDefault",
                                  "main.create_default()")

nuke.menu("Animation").addCommand("default/show knob list",
                                  "main.show_knob_list()")

nuke.menu("Animation").addCommand("default/reset",
                                  "main.reset_to_default()")

# Auto load knob defaults when launching.
helper.load_knob_defaults(init=True)
